# Authentication

Classes for the DBus authentication protocol for use with `MessageBus` implementations.

class dbus_fast.auth.Authenticator

  The base class for authenticators for `MessageBus` authentication.

  In the future, the library may allow extending this class for custom authentication protocols.

  Seealso:

    https://dbus.freedesktop.org/doc/dbus-specification.html#auth-protocol

class dbus_fast.auth.AuthExternal(uid: int | None = None)

  An authenticator class for the external auth protocol for use with the `MessageBus`.

  Parameters:

    uid – The uid to use when connecting to the message bus. Use UID_NOT_SPECIFIED to use the uid known to the kernel.

  Sealso:

    https://dbus.freedesktop.org/doc/dbus-specification.html#auth-protocol

class dbus_fast.auth.AuthAnonymous

  An authenticator class for the anonymous auth protocol for use with the `MessageBus`.

  Sealso:

    https://dbus.freedesktop.org/doc/dbus-specification.html#auth-protocol